### GET /vmm/v4.2/ahv/policies/vm-startup-policies/{vmStartupPolicyExtId}/start-condition-conflicts Source: https://developers.nutanix.com/api/v1/namespaces/vmm/versions/v4.2/yaml List Start condition Conflicts of the provided VM startup policy external identifier. ```markdown ### Parameters - **vmStartupPolicyExtId** (string, path, required): The external ID of the VM startup policy. (example: "b4cd8d9f-3240-41de-85ca-1121b0de6c45") - **$page** (integer (int32), query, optional): A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. - **$limit** (integer (int32), query, optional): A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. ### Responses #### 200 - Returns the list of start condition conflicts for a given VM startup policy. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (array (vmm.v4.2.ahv.policies.StartConditionConflict)) Array items: - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "9bb4a539-7fd2-41cc-b1e4-8d75e0107951") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "955df190-19f8-4516-aee8-1155c9479101") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **dependentCategory** (object): Reference to a category. - **extId** (string): The external ID (UUID) of the category. (example: "29becbd3-a97c-4ce9-b182-4b7fdc974ed0") - **dependeeCategory** (object): Reference to a category. - **dependentVmsAssociatedCategories** (array (vmm.v4.2.ahv.policies.CategoryReference)): The categories through which the dependent VMs are associated with the policies. Array items: - **dependeeVmsAssociatedCategories** (array (vmm.v4.2.ahv.policies.CategoryReference)): The categories through which the dependee VMs are associated with the policies. Array items: - **startCondition** (object): The condition that needs to be satisfied for the VMs in the group before the dependent VMs are started. - **powerStateCriteria** (object): The VM must be powered on before the dependent VMs are started. - **delayDurationSecs** (integer): The delay in seconds after the power state criteria is met before the dependent VMs are started. - **conflictingPolicy** (object): The reference of the VM startup policy. - **conflictingStartCondition** (object): The condition that needs to be satisfied for the VMs in the group before the dependent VMs are started. #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{pc-ip}:9440/api/vmm/v4.2/ahv/policies/vm-startup-policies/{vmStartupPolicyExtId}/start-condition-conflicts?$page=0&$limit=50" ``` ``` -------------------------------- ### GET /vmm/v4.2/ahv/policies/vm-startup-policies/{vmStartupPolicyExtId}/start-condition-conflicts/{extId} Source: https://developers.nutanix.com/api/v1/namespaces/vmm/versions/v4.2/yaml Get Start condition conflict for the provided start condition conflict external identifier and VM startup policy external identifier. ```markdown ### Parameters - **vmStartupPolicyExtId** (string, path, required): The external ID of the VM startup policy. (example: "bbc0144c-eb79-4772-89c6-1ab715d0adb2") - **extId** (string, path, required): The external ID of the start condition conflict of a VM startup policy. (example: "d26030ec-bf92-4b5b-add2-0a950639708f") ### Responses #### 200 - Returns the requested VM startup policy Start condition conflict. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): A model base class whose instances are bound to a specific tenant. This model adds a tenantId to the base model class that it extends and is automatically set by the server. - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "9bb4a539-7fd2-41cc-b1e4-8d75e0107951") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "955df190-19f8-4516-aee8-1155c9479101") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **dependentCategory** (object): Reference to a category. - **extId** (string): The external ID (UUID) of the category. (example: "29becbd3-a97c-4ce9-b182-4b7fdc974ed0") - **dependeeCategory** (object): Reference to a category. - **dependentVmsAssociatedCategories** (array (vmm.v4.2.ahv.policies.CategoryReference)): The categories through which the dependent VMs are associated with the policies. Array items: - **dependeeVmsAssociatedCategories** (array (vmm.v4.2.ahv.policies.CategoryReference)): The categories through which the dependee VMs are associated with the policies. Array items: - **startCondition** (object): The condition that needs to be satisfied for the VMs in the group before the dependent VMs are started. - **powerStateCriteria** (object): The VM must be powered on before the dependent VMs are started. - **delayDurationSecs** (integer): The delay in seconds after the power state criteria is met before the dependent VMs are started. - **conflictingPolicy** (object): The reference of the VM startup policy. - **conflictingStartCondition** (object): The condition that needs to be satisfied for the VMs in the group before the dependent VMs are started. #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{pc-ip}:9440/api/vmm/v4.2/ahv/policies/vm-startup-policies/{vmStartupPolicyExtId}/start-condition-conflicts/{extId}" ``` ``` -------------------------------- ### POST /vmm/v4.2/ahv/policies/vm-startup-policies Source: https://developers.nutanix.com/api/v1/namespaces/vmm/versions/v4.2/yaml Creates a VM startup policy. ```markdown ### Parameters - **NTNX-Request-Id** (string (uuid), header, required): A unique identifier that is associated with each request. The provided value must be opaque and preferably in Universal Unique Identifier (UUID) format. This identifier is also used as an idempotence token for safely retrying requests in case of network errors. All the supported Nutanix API clients add this auto-generated request identifier to each request. (example: "8134f464-031c-4946-931f-59bd6377edae") ### Request Body **Content-Type:** application/json - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "9bb4a539-7fd2-41cc-b1e4-8d75e0107951") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "955df190-19f8-4516-aee8-1155c9479101") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **name** (string): Name of the VM startup policy. (example: "Test VM Startup policy") - **description** (string): Description of the VM startup policy. (example: "Description for your VM startup policy") - **createTime** (string (date-time)): VM startup policy creation time. (example: "2009-09-23T21:30:00.000Z") - **updateTime** (string (date-time)): VM startup policy last updated time. (example: "2009-09-23T21:30:00.000Z") - **createdBy** (object): Reference to a user. - **extId** (string): The external ID (UUID) of the user. (example: "ea80a3da-8cc4-434a-aeb4-020408defe13") - **updatedBy** (object): Reference to a user. - **groups** (array (vmm.v4.2.ahv.policies.DependencyGroup)): Ordered list of groups configured for the VM startup policy. Each group is represented by one or more Categories which VMs are expected to be associated with. The list should be ordered in the order in which VMs should be started in an HA event or Cluster restart event. Array items: - **categories** (array (vmm.v4.2.ahv.policies.CategoryReference)): Categories configured for the group. Array items: - **startConditions** (array (vmm.v4.2.ahv.policies.StartCondition)): Ordered list of start conditions for the VM startup policy. Array items: - **powerStateCriteria** (object): The VM must be powered on before the dependent VMs are started. - **delayDurationSecs** (integer): The delay in seconds after the power state criteria is met before the dependent VMs are started. - **numCompliantVms** (integer (int64)): Number of compliant VMs in the VM startup policy. (example: 6) - **numNonCompliantVms** (integer (int64)): Number of non-compliant VMs in the VM startup policy. (example: 51) - **numPendingVms** (integer (int64)): Number of pending VMs in the VM startup policy. (example: 1) - **numDependencyConflicts** (integer (int64)): Number of dependency conflicts of the VM startup policy. (example: 82) - **numStartConditionConflicts** (integer (int64)): Number of start condition conflicts of the VM startup policy. (example: 93) ### Responses #### 202 - The request to create the VM startup policy is accepted. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): A reference to a task tracking an asynchronous operation. The status of the task can be queried by making a GET request to the task URI provided in the metadata section of the API response. - **extId** (string): A globally unique identifier for a task. (example: "QmFzZTY0RW5jb2RlZA==:b6b3de60-0c20-49f6-a949-c28022b20d3d") #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 34) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (vmm.v4.2.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X POST "https://{pc-ip}:9440/api/vmm/v4.2/ahv/policies/vm-startup-policies" \ -H "Content-Type: application/json" \ -d '{ "tenantId": "9bb4a539-7fd2-41cc-b1e4-8d75e0107951", "extId": "955df190-19f8-4516-aee8-1155c9479101", "links": [ "value" ], "name": "Test VM Startup policy", "description": "Description for your VM startup policy", "createTime": "2009-09-23T21:30:00.000Z", "updateTime": "2009-09-23T21:30:00.000Z", "createdBy": "value", "updatedBy": "value", "groups": [ "value" ], "startConditions": [ "value" ], "numCompliantVms": 6, "numNonCompliantVms": 51, "numPendingVms": 1, "numDependencyConflicts": 82, "numStartConditionConflicts": 93 }' ``` ```